ClientPluginDeployer (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ClientPluginDeployer class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ClientPluginDeployer

    java.lang.Object
      org.hyperic.hq.product.ClientPluginDeployer

    public class ClientPluginDeployer

extends java.lang.Object

Deployment of embedded plugin files. Plugins can embed scripts, jars, native libraries, etc. This class deploys such files on the agent-side only to pdk/work/$type/$plugin/ Where type is "scripts", "lib", etc., plugin is the plugin name. The pdk/$type directory must exist otherwise deployment is skipped.

Nested Class Summary
`static class` | `ClientPluginDeployer.Handler`
`class` | `ClientPluginDeployer.PluginFile`

Field Summary
`static java.lang.String` | `WORK_DIR`

Constructor Summary
`ClientPluginDeployer(java.lang.String pdk, java.lang.String type)`

Method Summary
`static void` | `addHandler(java.lang.String dir, boolean isExecutable)`
`static void` | `addHandlers(java.lang.String[] dirs, boolean isExecutable)`
`boolean` | `chmod(java.io.File file, java.lang.String mode)`
`boolean` | `chmodx(java.io.File file)`
`java.io.File` | `getFile(java.lang.String type, java.lang.String file)`
`ClientPluginDeployer.Handler` | `getHandler(java.lang.String name)`
`static java.io.File` | `getSubDirectory(java.lang.String root, java.lang.String name, java.lang.String plugin)`
`boolean` | `isDeployableType(java.lang.String type)`
`java.util.List` | `unpackJar(java.lang.String jar)`
`boolean` | `upToDate(java.io.File source, java.io.File target)`
`boolean` | `upToDate(long source, long target)`
`boolean` | `upToDate(java.util.zip.ZipEntry source, java.io.File target)`
`void` | `write(java.io.InputStream is, java.io.File file)`
`void` | `write(java.lang.String data, java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORK_DIR

    public static final java.lang.String WORK_DIR

See Also:
  Constant Field Values

Constructor Detail

### ClientPluginDeployer

    public ClientPluginDeployer(java.lang.String pdk,
                                java.lang.String type)

Method Detail

### addHandler

    public static void addHandler(java.lang.String dir,
                                  boolean isExecutable)

### addHandlers

    public static void addHandlers(java.lang.String[] dirs,
                                   boolean isExecutable)

### getHandler

    public ClientPluginDeployer.Handler getHandler(java.lang.String name)

### getSubDirectory

    public static java.io.File getSubDirectory(java.lang.String root,
                                               java.lang.String name,
                                               java.lang.String plugin)

### unpackJar

    public java.util.List unpackJar(java.lang.String jar)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDeployableType

    public boolean isDeployableType(java.lang.String type)

### getFile

    public java.io.File getFile(java.lang.String type,
                                java.lang.String file)

### upToDate

    public boolean upToDate(long source,
                            long target)

### upToDate

    public boolean upToDate(java.util.zip.ZipEntry source,
                            java.io.File target)

### upToDate

    public boolean upToDate(java.io.File source,
                            java.io.File target)

### write

    public void write(java.lang.String data,
                      java.io.File file)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.io.InputStream is,
                      java.io.File file)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### chmod

    public boolean chmod(java.io.File file,
                         java.lang.String mode)

### chmodx

    public boolean chmodx(java.io.File file)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.